CLASS REMO(3)

NAME
boost::interprocess::remove_shared_memory_on_destroy

SYNOPSIS

// In header: <boost/interprocess/shared_memory_object.hpp>
class remove_shared_memory_on_destroy {
public:
  // construct/copy/destruct
  remove_shared_memory_on_destroy(const char *);
  ~remove_shared_memory_on_destroy();
};

DESCRIPTION

A class that stores the name of a shared memory and calls shared_memory_object::remove(name) in its destructor Useful to remove temporary shared memory objects in the presence of exceptions

  remove_shared_memory_on_destroy public construct/copy/destruct

    1.

    remove_shared_memory_on_destroy(const char * name);

    2.

    ~remove_shared_memory_on_destroy();